package com.persagy.dmp.common.excel;

import lombok.Getter;
import lombok.Setter;

import java.util.LinkedList;
import java.util.List;

@Getter
@Setter
public class SheetReadInfo {

	private Integer startRow = 0;

	private String seqKey = "seq";

	private List<Integer> columnIndexs = new LinkedList<>();

	private List<String> columnKeys = new LinkedList<>();

	private List<String> columnTypes = new LinkedList<>();

	public void add(Integer index, String key, String type) {
		this.columnIndexs.add(index);
		this.columnKeys.add(key);
		this.columnTypes.add(type);
	}
}
